<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<PlatformCap>
    <tag key="CAMERA_SCALER_AVAILABLE_FORMATS" type="int32_t">
        <value type="string2Enum">CAMERA_FORMAT_STANDARD_YV12</value>
        <value type="string2Enum">CAMERA_FORMAT_STANDARD_YCRCB_420_SP</value>
        <value type="string2Enum">CAMERA_FORMAT_STANDARD_RAW16</value>
        <value type="string2Enum">CAMERA_FORMAT_STANDARD_BLOB</value>
        <value type="string2Enum">CAMERA_FORMAT_STANDARD_IMPLEMENTATION_DEFINED</value>
    </tag>
    <tag key="CAMERA_JPEG_AVAILABLE_THUMBNAIL_SIZES" type="int32_t">
        <value>0</value>
        <value>0</value>
        <value>208</value>
        <value>208</value>
        <value>512</value>
        <value>256</value>
        <value>528</value>
        <value>256</value>
        <value>512</value>
        <value>288</value>
        <value>480</value>
        <value>320</value>
        <value>528</value>
        <value>352</value>
        <value>512</value>
        <value>384</value>
        <value>512</value>
        <value>512</value>
    </tag>
    <tag key="CAMERA_CONTROL_AE_COMPENSATION_STEP" type="CameraMetadataRational">
        <value>1, 2</value>
    </tag>
    <tag key="CAMERA_CONTROL_AE_COMPENSATION_RANGE" type="int32_t">
        <value>-4</value>
        <value>4</value>
    </tag>
    <tag key="CAMERA_INFO_SUPPORTED_HARDWARE_LEVEL" type="uint8_t">
        <value type="string2Enum">CAMERA_INFO_SUPPORTED_HARDWARE_LEVEL_LIMITED</value>
    </tag>
    <tag key="CAMERA_SCALER_CROPPING_TYPE" type="uint8_t">
        <value type="string2Enum">CAMERA_SCALER_CROPPING_TYPE_CENTER_ONLY</value>
    </tag>
    <tag key="CAMERA_HOT_PIXEL_AVAILABLE_HOT_PIXEL_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_HOT_PIXEL_MODE_OFF</value>
        <value type="string2Enum">CAMERA_HOT_PIXEL_MODE_FAST</value>
        <value type="string2Enum">CAMERA_HOT_PIXEL_MODE_HIGH_QUALITY</value>
    </tag>
    <tag key="CAMERA_REQUEST_MAX_NUM_INPUT_STREAMS" type="int32_t">
        <value>0</value>
    </tag>
    <tag key="CAMERA_REQUEST_PIPELINE_MAX_DEPTH" type="uint8_t">
        <value>8</value>
    </tag>
    <tag key="CAMERA_REQUEST_PARTIAL_RESULT_COUNT" type="int32_t">
        <value>1</value>
    </tag>
    <tag key="CAMERA_SENSOR_AVAILABLE_TEST_PATTERN_MODES" type="int32_t">
        <value type="string2Enum">CAMERA_SENSOR_TEST_PATTERN_MODE_OFF</value>
        <value type="string2Enum">CAMERA_SENSOR_TEST_PATTERN_MODE_SOLID_COLOR</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_TIMESTAMP_SOURCE" type="uint8_t">
        <value type="string2Enum">CAMERA_SENSOR_INFO_TIMESTAMP_SOURCE_REALTIME</value>
    </tag>
    <tag key="CAMERA_STATISTICS_INFO_AVAILABLE_HOT_PIXEL_MAP_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_STATISTICS_HOT_PIXEL_MAP_MODE_OFF</value>
    </tag>
    <tag key="CAMERA_SYNC_MAX_LATENCY" type="int32_t">
        <value>5</value>
    </tag>
    <tag key="CAMERA_COLOR_CORRECTION_AVAILABLE_ABERRATION_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_COLOR_CORRECTION_ABERRATION_MODE_OFF</value>
        <value type="string2Enum">CAMERA_COLOR_CORRECTION_ABERRATION_MODE_FAST</value>
        <value type="string2Enum">CAMERA_COLOR_CORRECTION_ABERRATION_MODE_HIGH_QUALITY</value>
    </tag>
    <tag key="CAMERA_REQUEST_MAX_NUM_OUTPUT_STREAMS" type="int32_t">
        <value>1</value>
        <value>3</value>
        <value>1</value>
    </tag>
    <tag key="CAMERA_STATISTICS_INFO_MAX_FACE_COUNT" type="int32_t">
        <value>10</value>
    </tag>
    <tag key="CAMERA_LENS_INFO_AVAILABLE_FILTER_DENSITIES" type="float">
        <value>0</value>
    </tag>
    <tag key="CAMERA_CONTROL_AVAILABLE_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_MODE_OFF</value>
        <value type="string2Enum">CAMERA_CONTROL_MODE_AUTO</value>
        <value type="string2Enum">CAMERA_CONTROL_MODE_USE_SCENE_MODE</value>
    </tag>
    <tag key="CAMERA_FLASH_INFO_CHARGE_DURATION" type="int64_t">
        <value>1000000000</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_WHITE_LEVEL" type="int32_t">
        <value>4095</value>
    </tag>
    <tag key="CAMERA_LENS_POSE_REFERENCE" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="CAMERA_LENS_POSE_ROTATION_CAP" type="float">
        <value>1</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="CAMERA_LENS_POSE_TRANSLATION_CAP" type="float">
        <value>0</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="CAMERA_LENS_INTRINSIC_CALIBRATION_CAP" type="float">
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="CAMERA_LENS_RADIAL_DISTORTION_CAP" type="float">
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value>0</value>
    </tag>
    <tag key="HAL_PRIVATE_REPROCESS_JPEG_ENC_SLICE_NUM" type="uint8_t">
        <value>8</value>
    </tag>
    <tag key="CAMERA_STATISTICS_INFO_AVAILABLE_FACE_DETECT_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_STATISTICS_FACE_DETECT_MODE_OFF</value>
        <value type="string2Enum">CAMERA_STATISTICS_FACE_DETECT_MODE_SIMPLE</value>
        <value type="string2Enum">CAMERA_STATISTICS_FACE_DETECT_MODE_FULL</value>
    </tag>
    <tag key="CAMERA_CONTROL_AVAILABLE_EFFECTS" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_EFFECT_MODE_OFF</value>
    </tag>
    <tag key="CAMERA_CONTROL_AE_AVAILABLE_ANTIBANDING_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_AE_ANTIBANDING_MODE_AUTO</value>
        <value type="string2Enum">CAMERA_CONTROL_AE_ANTIBANDING_MODE_50HZ</value>
        <value type="string2Enum">CAMERA_CONTROL_AE_ANTIBANDING_MODE_60HZ</value>
    </tag>
    <tag key="HAL_PRIVATE_HDR_STAT_BUFFER_SIZE" type="uint32_t">
        <value>7168</value> <!-- size of hdrstat_vp_out_t -->
    </tag>
    <tag key="HAL_PRIVATE_HDR_STAT_BUFFER_COUNT" type="uint32_t">
        <value>12</value>
    </tag>
    <tag key="HAL_PRIVATE_COMMAND_REQ_SMARTISP_SHAMEM_COUNT" type="uint32_t">
        <value>21</value>
    </tag>
    <tag key="HAL_PRIVATE_POST_REQ_SMARTISP_SHAMEM_COUNT" type="uint32_t">
        <value>18</value>
    </tag>
    <tag key="HAL_PRIVATE_SMARTISP_ARGB8888_BUFFER_SIZE" type="uint32_t">
        <value>589824</value> <!-- 512 * 288 * 4 -->
    </tag>
    <tag key="HAL_PRIVATE_SMARTISP_PQMASK_BUFFER_SIZE" type="uint32_t">
        <value>73728</value> <!-- 256 * 144 * 2 -->
    </tag>
    <tag key="HAL_PRIVATE_SMARTISP_AIEMASK_BUFFER_SIZE" type="uint32_t">
        <value>2359296</value> <!-- 512 * 288 * 8 * 2 -->
    </tag>
    <tag key="HAL_PRIVATE_HDR_META_BUFFER_COUNT" type="uint32_t">
        <value>12</value>
    </tag>
    <tag key="HAL_CUSTOM_CONTROL_ZOOM_RATIO_NOT_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_FIRST_VALID_FRAME_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_SUPPORT_PQSETTING_BUFFER_OPT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_STAT_AI_AWB_ALWAYS_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_PRIVATE_ZOOM_LATENCY_MAX_CROP_RATIO" type="float">
        <value>5.88</value>
    </tag>
    <tag key="HAL_PRIVATE_MIN_PE_CROP_WIDTH_FOR_HFBC" type="uint32_t">
        <value>1152</value>
    </tag>
    <tag key="HAL_CUSTOM_IGNORE_AE_TRIGGER_IN_CAPTURE" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_IGNORE_AE_TRIGGER_EXCLUDE_FLASH_CAPTURE" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_AVAILABLE_VIDEO_COLOR_ENCODE_CONFIGURATIONS" type="int32_t">
        <value type="string2Enum">VID_COLOR_ENCODE_BT709</value>
    </tag>
    <tag key="HAL_PRIVATE_REPROCESS_SHUTTER_LAG_TIME" type="int64_t">
        <value>100</value>
    </tag>
    <tag key="HAL_PRIVATE_VIDEO_NEED_WAIT_ISP_ACK_TIMESTAMP" type="uint8_t">
        <value>1</value>
    </tag>
</PlatformCap>
